/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dbEntity;

import java.util.Date;

/**
 * 单表生成Entity
 * @author tangwc
 * @version 2018-05-23
 */
public class MdeInformation extends BaseEntity {
	
	private static final long serialVersionUID = 1L;
	private Long infoId;		// 资讯id
	private String infoTitle;		// 标题
	private String infoPicurl;		// 封面图
	private String keyword;		// 关键词（推荐方式待定）
	private String infoDesc;		// 资讯概述
	private String infoUrl;		// 点击跳转链接
	private String infoContent;		// 资讯内容（图文）
	private String status;		// 状态[0-草稿；1-已发布]
	private double infoPrice;		// 支付价格
	private String vipShow;		// 可查看的会员套餐(套餐id，逗号分隔)
	private String whoLike;		// 点赞的用户记录(json形式存储，[key：用户CODE;value：用户姓名、职称、头像路径])
	private Integer likeCount;		// 点赞数量
	private String whoComment;		// 评论记录(json形式存储，[key：用户CODE;value：评论内容，用户姓名、职称、头像路径])
	private Integer commentCount;		// 评论数量
	private String infoType; // 类型[1-资讯；2-广告]
	private String vipShowTitle;		// 可查看的会员套餐名称（方便显示，0表示不限制）
	
	private Date startTime; // 启用时间
	private Date endTime; // 停用时间
	private String recProvince; // 推荐条件-省
	private String recCity; // 推荐条件-市
	private String recExperienceF; // 工作经验from
	private String recExperienceT; // 工作经验to
	private String recEducation; // 学历（字典表管理，以数值表示）
	private int recDepdId; // 部门id(部门信息表)
	private String recVipFlag; // 会员标识[0-非会员；1-会员]
	private String recWorkStatus; // 工作状态(字典表维护)[0-无跳槽打算；1-在职-考虑换个环境；2-在职-有好的工作可考虑；3-离职]
	
	private String isHref;// 跳转或图文二选一  0.跳转链接 1 图文跳转
	private String inFlag;// 本站用户
	private String userCode;// 用户code
	private String userHeadPortrait;// 用户头像
	private String name;// 用户名称
	private String foreignName;// 用户外文名称
	
	
	public MdeInformation() {
		super();
	}
	
	public String getVipShowTitle() {
		return vipShowTitle;
	}

	public void setVipShowTitle(String vipShowTitle) {
		this.vipShowTitle = vipShowTitle;
	}
	
//	@NotNull(message="资讯id不能为空")
	public Long getInfoId() {
		return infoId;
	}

	public void setInfoId(Long infoId) {
		this.infoId = infoId;
	}
	
//	@Length(min=0, max=255, message="标题长度必须介于 0 和 255 之间")
	public String getInfoTitle() {
		return infoTitle;
	}

	public void setInfoTitle(String infoTitle) {
		this.infoTitle = infoTitle;
	}
	
//	@Length(min=0, max=300, message="封面图长度必须介于 0 和 300 之间")
	public String getInfoPicurl() {
		return infoPicurl;
	}

	public void setInfoPicurl(String infoPicurl) {
		this.infoPicurl = infoPicurl;
	}
	
//	@Length(min=0, max=60, message="关键词（推荐方式待定）长度必须介于 0 和 60 之间")
	public String getKeyword() {
		return keyword;
	}

	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}
	
//	@Length(min=0, max=255, message="资讯概述长度必须介于 0 和 255 之间")
	public String getInfoDesc() {
		return infoDesc;
	}

	public void setInfoDesc(String infoDesc) {
		this.infoDesc = infoDesc;
	}
	
//	@Length(min=0, max=300, message="点击跳转链接长度必须介于 0 和 300 之间")
	public String getInfoUrl() {
		return infoUrl;
	}

	public void setInfoUrl(String infoUrl) {
		this.infoUrl = infoUrl;
	}
	
	public String getInfoContent() {
		return infoContent;
	}

	public void setInfoContent(String infoContent) {
		this.infoContent = infoContent;
	}
	
//	@Length(min=1, max=1, message="状态[0-草稿；1-已发布]长度必须介于 1 和 1 之间")
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
	public double getInfoPrice() {
		return infoPrice;
	}

	public void setInfoPrice(double infoPrice) {
		this.infoPrice = infoPrice;
	}
	
//	@Length(min=0, max=100, message="可查看的会员套餐(套餐id，逗号分隔)长度必须介于 0 和 100 之间")
	public String getVipShow() {
		return vipShow;
	}

	public void setVipShow(String vipShow) {
		this.vipShow = vipShow;
	}
	
	public String getWhoLike() {
		return whoLike;
	}

	public void setWhoLike(String whoLike) {
		this.whoLike = whoLike;
	}
	
//	@Length(min=0, max=11, message="点赞数量长度必须介于 0 和 11 之间")
	public Integer getLikeCount() {
		return likeCount;
	}

	public void setLikeCount(Integer likeCount) {
		this.likeCount = likeCount;
	}
	
	public String getWhoComment() {
		return whoComment;
	}

	public void setWhoComment(String whoComment) {
		this.whoComment = whoComment;
	}
	
//	@Length(min=0, max=11, message="评论数量长度必须介于 0 和 11 之间")
	public Integer getCommentCount() {
		return commentCount;
	}

	public void setCommentCount(Integer commentCount) {
		this.commentCount = commentCount;
	}

	public String getInfoType() {
		return infoType;
	}

	public void setInfoType(String infoType) {
		this.infoType = infoType;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getRecProvince() {
		return recProvince;
	}

	public void setRecProvince(String recProvince) {
		this.recProvince = recProvince;
	}

	public String getRecCity() {
		return recCity;
	}

	public void setRecCity(String recCity) {
		this.recCity = recCity;
	}

	public String getRecExperienceF() {
		return recExperienceF;
	}

	public void setRecExperienceF(String recExperienceF) {
		this.recExperienceF = recExperienceF;
	}

	public String getRecExperienceT() {
		return recExperienceT;
	}

	public void setRecExperienceT(String recExperienceT) {
		this.recExperienceT = recExperienceT;
	}

	public String getRecEducation() {
		return recEducation;
	}

	public void setRecEducation(String recEducation) {
		this.recEducation = recEducation;
	}

	public int getRecDepdId() {
		return recDepdId;
	}

	public void setRecDepdId(int recDepdId) {
		this.recDepdId = recDepdId;
	}

	public String getRecVipFlag() {
		return recVipFlag;
	}

	public void setRecVipFlag(String recVipFlag) {
		this.recVipFlag = recVipFlag;
	}

	public String getRecWorkStatus() {
		return recWorkStatus;
	}

	public void setRecWorkStatus(String recWorkStatus) {
		this.recWorkStatus = recWorkStatus;
	}

	public String getUserCode() {
		return userCode;
	}

	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}

	public String getIsHref() {
		return isHref;
	}

	public void setIsHref(String isHref) {
		this.isHref = isHref;
	}

	public String getInFlag() {
		return inFlag;
	}

	public void setInFlag(String inFlag) {
		this.inFlag = inFlag;
	}

	public String getUserHeadPortrait() {
		return userHeadPortrait;
	}

	public void setUserHeadPortrait(String userHeadPortrait) {
		this.userHeadPortrait = userHeadPortrait;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getForeignName() {
		return foreignName;
	}

	public void setForeignName(String foreignName) {
		this.foreignName = foreignName;
	}
	
	
}